libmspack

Data Fields
mskwajd_header Struct Reference

A structure which represents an KWAJ compressed file. More...

`#include <mspack.h>`

## Data Fields
unsigned short | comp_type
| The compression type; should be one of MSKWAJ_COMP_NONE, MSKWAJ_COMP_XOR, MSKWAJ_COMP_SZDD or MSKWAJ_COMP_LZH. More...
off_t | data_offset
| The offset in the file where the compressed data stream begins. More...
int | headers
| Flags indicating which optional headers were included. More...
off_t | length
| The amount of uncompressed data in the file, or 0 if not present. More...
char * | filename
| output filename, or NULL if not present More...
char * | extra
| extra uncompressed data (usually text) in the header. More...
unsigned short | extra_length
| length of extra uncompressed data in the header More...

## Detailed Description

A structure which represents an KWAJ compressed file.

All fields are READ ONLY.

## Field Documentation

## ◆ comp_type

unsigned short mskwajd_header::comp_type

The compression type; should be one of MSKWAJ_COMP_NONE, MSKWAJ_COMP_XOR, MSKWAJ_COMP_SZDD or MSKWAJ_COMP_LZH.

## ◆ data_offset

off_t mskwajd_header::data_offset

The offset in the file where the compressed data stream begins.

## ◆ extra

char* mskwajd_header::extra

extra uncompressed data (usually text) in the header.

This data can contain nulls so use extra_length to get the size.

## ◆ extra_length

unsigned short mskwajd_header::extra_length

length of extra uncompressed data in the header

## ◆ filename

char* mskwajd_header::filename

output filename, or NULL if not present

## ◆ headers

int mskwajd_header::headers

Flags indicating which optional headers were included.

## ◆ length

off_t mskwajd_header::length

The amount of uncompressed data in the file, or 0 if not present.

The documentation for this struct was generated from the following file:

- mspack.h